Package org.jbpm.persistence

## Class MapBasedProcessPersistenceContext

- java.lang.Object
- - org.drools.persistence.map.MapBasedPersistenceContext
  - - org.jbpm.persistence.MapBasedProcessPersistenceContext

- All Implemented Interfaces:
    `org.drools.persistence.api.PersistenceContext`, `org.drools.persistence.map.NonTransactionalPersistentSession`, `org.jbpm.persistence.api.ProcessPersistenceContext`, `NonTransactionalProcessPersistentSession`

      public class MapBasedProcessPersistenceContext
      extends org.drools.persistence.map.MapBasedPersistenceContext
      implements org.jbpm.persistence.api.ProcessPersistenceContext, NonTransactionalProcessPersistentSession

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapBasedProcessPersistenceContext​(ProcessStorage storage)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearStoredProcessInstances()` |
    `void` | `close()` |
    `org.jbpm.persistence.api.PersistentProcessInstance` | `findProcessInstanceInfo​(Long processId)` |
    `Long` | `getProcessInstanceByCorrelationKey​(org.kie.internal.process.CorrelationKey correlationKey)` |
    `List<Long>` | `getProcessInstancesWaitingForEvent​(String type)` |
    `List<org.jbpm.persistence.api.PersistentProcessInstance>` | `getStoredProcessInstances()` |
    `org.jbpm.persistence.api.PersistentCorrelationKey` | `persist​(org.jbpm.persistence.api.PersistentCorrelationKey correlationKeyInfo)` |
    `org.jbpm.persistence.api.PersistentProcessInstance` | `persist​(org.jbpm.persistence.api.PersistentProcessInstance processInstanceInfo)` |
    `void` | `remove​(org.jbpm.persistence.api.PersistentProcessInstance processInstanceInfo)` |

    - ### Methods inherited from class org.drools.persistence.map.MapBasedPersistenceContext

      `clear, findSession, findWorkItem, getStoredKnowledgeSessions, getStoredWorkItems, isOpen, joinTransaction, lock, lock, merge, persist, persist, remove, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.persistence.map.NonTransactionalPersistentSession

      `clear, getStoredKnowledgeSessions, getStoredWorkItems`

    - ### Methods inherited from interface org.drools.persistence.api.PersistenceContext

      `findSession, findWorkItem, isOpen, joinTransaction, lock, merge, persist, persist, remove, remove`

- - ### Constructor Detail

    - #### MapBasedProcessPersistenceContext

          public MapBasedProcessPersistenceContext​(ProcessStorage storage)

  - ### Method Detail

    - #### persist

          public org.jbpm.persistence.api.PersistentProcessInstance persist​(org.jbpm.persistence.api.PersistentProcessInstance processInstanceInfo)

      Specified by:
        `persist` in interface `org.jbpm.persistence.api.ProcessPersistenceContext`

    - #### findProcessInstanceInfo

          public org.jbpm.persistence.api.PersistentProcessInstance findProcessInstanceInfo​(Long processId)

      Specified by:
        `findProcessInstanceInfo` in interface `org.jbpm.persistence.api.ProcessPersistenceContext`

    - #### getStoredProcessInstances

          public List<org.jbpm.persistence.api.PersistentProcessInstance> getStoredProcessInstances()

      Specified by:
        `getStoredProcessInstances` in interface `NonTransactionalProcessPersistentSession`

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.drools.persistence.api.PersistenceContext`
      Overrides:
        `close` in class `org.drools.persistence.map.MapBasedPersistenceContext`

    - #### remove

          public void remove​(org.jbpm.persistence.api.PersistentProcessInstance processInstanceInfo)

      Specified by:
        `remove` in interface `org.jbpm.persistence.api.ProcessPersistenceContext`

    - #### getProcessInstancesWaitingForEvent

          public List<Long> getProcessInstancesWaitingForEvent​(String type)

      Specified by:
        `getProcessInstancesWaitingForEvent` in interface `org.jbpm.persistence.api.ProcessPersistenceContext`

    - #### clearStoredProcessInstances

          public void clearStoredProcessInstances()

      Specified by:
        `clearStoredProcessInstances` in interface `NonTransactionalProcessPersistentSession`

    - #### persist

          public org.jbpm.persistence.api.PersistentCorrelationKey persist​(org.jbpm.persistence.api.PersistentCorrelationKey correlationKeyInfo)

      Specified by:
        `persist` in interface `org.jbpm.persistence.api.ProcessPersistenceContext`

    - #### getProcessInstanceByCorrelationKey

          public Long getProcessInstanceByCorrelationKey​(org.kie.internal.process.CorrelationKey correlationKey)

      Specified by:
        `getProcessInstanceByCorrelationKey` in interface `org.jbpm.persistence.api.ProcessPersistenceContext`